petsc-3.7.7 2017-09-25
Report Typos and Errors

# TaoSolve

Solves an optimization problem min F(x) s.t. l <= x <= u

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSolve(Tao tao)

Collective on Tao

### Input Parameters

tao -the Tao context

### Notes

The user must set up the Tao with calls to TaoSetInitialVector(), TaoSetObjectiveRoutine(), TaoSetGradientRoutine(), and (if using 2nd order method) TaoSetHessianRoutine().

### See Also

TaoCreate(), TaoSetObjectiveRoutine(), TaoSetGradientRoutine(), TaoSetHessianRoutine()

Level:beginner
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex16opt_p.c.html
src/ts/examples/tutorials/ex16opt_ic.c.html
src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html
src/tao/unconstrained/examples/tutorials/eptorsion1.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2.c.html
src/tao/unconstrained/examples/tutorials/minsurf2.c.html
src/tao/unconstrained/examples/tutorials/rosenbrock1.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2f.F.html
src/tao/unconstrained/examples/tutorials/rosenbrock1f.F.html
src/tao/constrained/examples/tutorials/maros.c.html